Future::AsyncAwait::ExtensionBuilder(3pm)

NAME
"Future::AsyncAwait::ExtensionBuilder" - build-time support for extensions to "Future::AsyncAwait"

SYNOPSIS
In Build.PL:

   use Future::AsyncAwait::ExtensionBuilder;

   my $build = Module::Build->new(
      ...,
      configure_requires => {
         ...
         'Future::AsyncAwait::ExtensionBuilder' => 0,
      }
   );

   Future::AsyncAwait::ExtensionBuilder->extend_module_build( $build );

   ...

DESCRIPTION
This module provides a build-time helper to assist authors writing XS modules that provide extensions to Future::AsyncAwait. It prepares a Module::Build-using distribution to be able to make use of the "Future::AsyncAwait" extension API.

FUNCTIONS

  write_AsyncAwait_h
   Future::AsyncAwait::ExtensionBuilder->write_AsyncAwait_h;

This method no longer does anything since version 0.67.

  extra_compiler_flags
   @flags = Future::AsyncAwait::ExtensionBuilder->extra_compiler_flags;

Returns a list of extra flags that the build scripts should add to the compiler invocation. This enables the C compiler to find the AsyncAwait.h file.

  extend_module_build
   Future::AsyncAwait::ExtensionBuilder->extend_module_build( $build );

A convenient shortcut for performing all the tasks necessary to make a Module::Build-based distribution use the helper.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>